package com.zhyc.module.sale.mapper;

import java.util.List;
import com.zhyc.module.sale.domain.SxSheepSale;
import org.apache.ibatis.annotations.Param;

/**
 * 羊只销售记录Mapper接口
 *
 * @author ruoyi
 * @date 2025-08-19
 */
public interface SxSheepSaleMapper {
    /**
     * 查询羊只销售记录
     *
     * @param id 羊只销售记录主键
     * @return 羊只销售记录
     */
    public SxSheepSale selectSxSheepSaleById(Long id);

    /**
     * 查询羊只销售记录列表
     *
     * @param sxSheepSale 羊只销售记录
     * @return 羊只销售记录集合
     */
    public List<SxSheepSale> selectSxSheepSaleList(SxSheepSale sxSheepSale);

    /**
     * 新增羊只销售记录
     *
     * @param sxSheepSale 羊只销售记录
     * @return 结果
     */
    public int insertSxSheepSale(SxSheepSale sxSheepSale);

    /**
     * 修改羊只销售记录
     *
     * @param sxSheepSale 羊只销售记录
     * @return 结果
     */
    public int updateSxSheepSale(SxSheepSale sxSheepSale);

    /**
     * 删除羊只销售记录
     *
     * @param id 羊只销售记录主键
     * @return 结果
     */
    public int deleteSxSheepSaleById(Long id);

    /**
     * 批量删除羊只销售记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSxSheepSaleByIds(Long[] ids);

    /**
     * 【新增】从sheep_file视图查询羊只信息
     * @param bsManageTags 耳号
     * @return 羊只信息 (只包含视图中的字段)
     */
    public SxSheepSale selectSheepInfoByTag(@Param("bsManageTags") String bsManageTags);
}